# $Id: $
import os
import sys
import sconstools

# A SCons test to  look for the GTK-- headers  and libs.  Should work
# for the following environments:
# - Windows / Mingw.
def checkGTKmm (context):
    context.Message ("Checking for GTK--...")
    hasGTKmm = sconstools.configPkg (context.env, "gtkmm-2.4")
    context.Result (hasGTKmm)
    return hasGTKmm

# Add the tests to those available in a SCons Configure object.
def addTests (conf, vars = None):
    conf.AddTests ({ "CheckGTKmm": checkGTKmm })
